// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : Vendor的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 11:04:46
 *
 ******************************************************************************/
var Vendor_VendorId = grmi.NewField("VendorId", "WM_Vendor.VendorId", "vendorid", grmi.TypeString)
var Vendor_Descr = grmi.NewField("Descr", "WM_Vendor.Descr", "descr", grmi.TypeString)
var Vendor_Address = grmi.NewField("Address", "WM_Vendor.Address", "address", grmi.TypeString)
var Vendor_Name = grmi.NewField("Name", "WM_Vendor.Name", "name", grmi.TypeString)
var Vendor_Name1 = grmi.NewField("Name1", "WM_Vendor.Name1", "name1", grmi.TypeString)
var Vendor_Name2 = grmi.NewField("Name2", "WM_Vendor.Name2", "name2", grmi.TypeString)
var Vendor_ValidStartDate = grmi.NewField("ValidStartDate", "WM_Vendor.ValidStartDate", "validstartdate", grmi.TypeDate)
var Vendor_Country = grmi.NewField("Country", "WM_Vendor.Country", "country", grmi.TypeString)
var Vendor_City = grmi.NewField("City", "WM_Vendor.City", "city", grmi.TypeString)
var Vendor_District = grmi.NewField("District", "WM_Vendor.District", "district", grmi.TypeString)
var Vendor_Street = grmi.NewField("Street", "WM_Vendor.Street", "street", grmi.TypeString)
var Vendor_Location = grmi.NewField("Location", "WM_Vendor.Location", "location", grmi.TypeString)
var Vendor_PostCode = grmi.NewField("PostCode", "WM_Vendor.PostCode", "postcode", grmi.TypeString)
var Vendor_Phone = grmi.NewField("Phone", "WM_Vendor.Phone", "phone", grmi.TypeString)
var Vendor_Mobile = grmi.NewField("Mobile", "WM_Vendor.Mobile", "mobile", grmi.TypeString)
var Vendor_Fax = grmi.NewField("Fax", "WM_Vendor.Fax", "fax", grmi.TypeString)
var Vendor_Email1 = grmi.NewField("Email1", "WM_Vendor.Email1", "email1", grmi.TypeString)
var Vendor_Email2 = grmi.NewField("Email2", "WM_Vendor.Email2", "email2", grmi.TypeString)
var Vendor_ContactPerson = grmi.NewField("ContactPerson", "WM_Vendor.ContactPerson", "contactperson", grmi.TypeString)
var Vendor_PersonTitle = grmi.NewField("PersonTitle", "WM_Vendor.PersonTitle", "persontitle", grmi.TypeString)
var Vendor_ContactAddress = grmi.NewField("ContactAddress", "WM_Vendor.ContactAddress", "contactaddress", grmi.TypeString)
var Vendor_Account = grmi.NewField("Account", "WM_Vendor.Account", "account", grmi.TypeInt)
var Vendor_TaxRate = grmi.NewField("TaxRate", "WM_Vendor.TaxRate", "taxrate", grmi.TypeString)
var Vendor_Status = grmi.NewField("Status", "WM_Vendor.Status", "status", grmi.TypeInt)
var Vendor_Province = grmi.NewField("Province", "WM_Vendor.Province", "province", grmi.TypeString)
var Vendor_ProvinceCode = grmi.NewField("ProvinceCode", "WM_Vendor.ProvinceCode", "provincecode", grmi.TypeString)
var Vendor_CityCode = grmi.NewField("CityCode", "WM_Vendor.CityCode", "citycode", grmi.TypeString)
var Vendor_DistrictCode = grmi.NewField("DistrictCode", "WM_Vendor.DistrictCode", "districtcode", grmi.TypeString)
var Vendor_LastModify = grmi.NewField("LastModify", "WM_Vendor.LastModify", "lastmodify", grmi.TypeDateTime)
var Vendor_LastUser = grmi.NewField("LastUser", "WM_Vendor.LastUser", "lastuser", grmi.TypeString)
var Vendor_CreateTime = grmi.NewField("CreateTime", "WM_Vendor.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Vendor的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 11:04:46
 *
 ******************************************************************************/
var Vendor = grmi.NewEntity(
	"WM_Vendor",
	func() interface{} { return &model.Vendor{} },
	map[string]grmi.Field{
		Vendor_VendorId.Name:       Vendor_VendorId,
		Vendor_Descr.Name:          Vendor_Descr,
		Vendor_Address.Name:        Vendor_Address,
		Vendor_Name.Name:           Vendor_Name,
		Vendor_Name1.Name:          Vendor_Name1,
		Vendor_Name2.Name:          Vendor_Name2,
		Vendor_ValidStartDate.Name: Vendor_ValidStartDate,
		Vendor_Country.Name:        Vendor_Country,
		Vendor_City.Name:           Vendor_City,
		Vendor_District.Name:       Vendor_District,
		Vendor_Street.Name:         Vendor_Street,
		Vendor_Location.Name:       Vendor_Location,
		Vendor_PostCode.Name:       Vendor_PostCode,
		Vendor_Phone.Name:          Vendor_Phone,
		Vendor_Mobile.Name:         Vendor_Mobile,
		Vendor_Fax.Name:            Vendor_Fax,
		Vendor_Email1.Name:         Vendor_Email1,
		Vendor_Email2.Name:         Vendor_Email2,
		Vendor_ContactPerson.Name:  Vendor_ContactPerson,
		Vendor_PersonTitle.Name:    Vendor_PersonTitle,
		Vendor_ContactAddress.Name: Vendor_ContactAddress,
		Vendor_Account.Name:        Vendor_Account,
		Vendor_TaxRate.Name:        Vendor_TaxRate,
		Vendor_Status.Name:         Vendor_Status,
		Vendor_Province.Name:       Vendor_Province,
		Vendor_ProvinceCode.Name:   Vendor_ProvinceCode,
		Vendor_CityCode.Name:       Vendor_CityCode,
		Vendor_DistrictCode.Name:   Vendor_DistrictCode,
		Vendor_LastModify.Name:     Vendor_LastModify,
		Vendor_LastUser.Name:       Vendor_LastUser,
		Vendor_CreateTime.Name:     Vendor_CreateTime,
	},
	[]string{},
	[]string{"Descr", "Address", "Name", "Name1", "Name2", "ValidStartDate", "Country", "City", "District", "Street", "Location", "PostCode", "Phone", "Mobile", "Fax", "Email1", "Email2", "ContactPerson", "PersonTitle", "ContactAddress", "Account", "TaxRate", "Status", "Province", "ProvinceCode", "CityCode", "DistrictCode", "LastUser"})
